.nav {
	display: flex;
	align-items: center;
	justify-content: space-between;
	font-family: "SourceSansPro", sans-serif;

	&__list {
		display: flex;

		@media (max-width: 768px) {
			display: block;
			// flex-flow: column;
			order: 2;
			width: 100%;
		}
	}

	&__item {
		position: relative;
		display: flex;
		transition: 0.2s all ease-out;

		&:hover {
			background-color: $gossip;

			.nav__link {
				text-shadow: $shadow-hover;
			}
		}

		&--has-submenu {
			padding-right: 24px;

			&::after {
				content: "";
				position: absolute;
				right: 12px;
				top: calc(50% - 6px);
				width: 12px;
				height: 12px;
				background: url("../img/svg/chevron-down.svg") center no-repeat;
				background-size: contain;
				transition: transform 0.2s ease-out;
			}

			&:hover {
				// background: none;

				&::after {
					transform: rotateX(180deg);
				}

				// .nav__link {
				// 	text-shadow: $shadow-no-hover;
				// }

				.submenu {
					opacity: 1;
					visibility: visible;
				}
			}

			@media (max-width: 768px) {
				margin-right: 0;

				&::after {
					display: none;
				}

				.nav__link--has-submenu {
					display: none;
				}

				.submenu {
					display: none;
				}
			}
		}

		&--mobile {
			display: none;

			@media (max-width: 768px) {
				display: flex;
			}
		}

		&--has-border {
			border-bottom: 1px solid $mercury;
		}

		@media (max-width: 768px) {
			// padding: 16px;
		}
	}

	&__link {
		padding: 16px;
		text-shadow: $shadow-no-hover;
		cursor: pointer;

		svg {
			display: none;

			@media (max-width: 768px) {
				display: block;
				flex-shrink: 0;
				margin-right: 10px;
			}
		}

		&--mobile {
			display: none;

			@media (max-width: 768px) {
				display: flex;
			}
		}

		@media (max-width: 768px) {
			display: flex;
			align-items: center;
			// padding-left: 32px;
		}
	}

	&__action {
		&--v2 {
			display: flex;
			gap: 10px;

			@media (max-width: 767px) {
				flex-flow: column;
				margin-bottom: 20px;
			}
		}

		@media (max-width: 767px) {
			align-items: center;
			justify-content: center;
			order: 1;
			margin-top: 16px;
			padding: 0 16px;
			width: 100%;

			.btn__flat {
				width: 100%;
			}
		}
	}

	@media (max-width: 768px) {
		// display: block;
		flex-flow: column;
		padding-bottom: 32px;
		width: 100%;
	}
}
